/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 *
 * 个人中心api接口集合
 * @method login 登录
 */

import { http } from "@/utils/http";
import { baseUrlApi } from "./util";
import type { Result } from "./types";

// 获取个人中心数据
export const cusExtendInfo = (data?: object) => {
  return http.request<Result>(
    "post",
    baseUrlApi("/api/customer/cusExtendInfo"),
    {
      data
    }
  );
};

// 修改个人中心数据
export const changeCusExtend = (data?: object) => {
  return http.request("post", baseUrlApi("/api/customer/changeCusExtend"), {
    data
  });
};
